//
//  GLLineStringGeometry.h
//  GLGeometry
//
//  Created by Jeffrey Early on 10/29/06.
//  Copyright 2006 Early Innovation. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometry.h>

@interface GLLineStringGeometry : GLGeometry {
	GLLineStringPtr aLineString;
}

/************************************************/
/*		Object Initialization					*/
/************************************************/

#pragma mark -
#pragma mark Object Initialization
#pragma mark

// initialize using an GLLineString
- (id) initWithLineString: (GLLineString) lineString;

// initialize using an GLLineStringPtr
- (id) initWithLineStringPtr: (GLLineStringPtr) lineString;

/************************************************/
/*			Accessor Methods					*/
/************************************************/

#pragma mark -
#pragma mark Accessor Methods
#pragma mark

// Returns the structure value.
@property GLLineStringPtr lineStringGeometry;

@end